%define upstream_name		Tree-Interval
%define upstream_version 0.3

	
Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl implementation of an interval tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Unit)
BuildArch:  noarch

%description
This is a perl implementation of an interval tree for non-overlapping intervals, based on Tree::RedBlack by Benjamin Holzman <bholzman@earthlink.net>. An interval tree is a binary tree which remains "balanced" i.e. the longest length from root to a node is at most one more than the shortest such length. It is fairly efficient; no operation takes more than O(log(N)) time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/* 


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-10.mga8
+ Revision: 1497911
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.300.0-9.mga7
+ Revision: 1272396
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-8.mga6
+ Revision: 1035416
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.300.0-7.mga6
+ Revision: 972165
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.300.0-6.mga6
+ Revision: 896222
- rebuild with fixed  perl-Test-Unit

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 742616
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-4.mga5
+ Revision: 686740
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 515772
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 374480
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 17 2011 kharec <kharec> 0.300.0-1.mga2
+ Revision: 183188
- add a BR on Error
- Add a BR on Test::Unit
- update to 0.3

* Fri Dec 16 2011 kharec <kharec> 0.3.1-1.mga2
+ Revision: 182510
- Add a BR on Error
- imported package perl-Tree-Interval

